/* style css */

/* IMPORT FONTU Z GOOGLE */
@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


/* KOLORY */
:root{
    --kolor-czerwony: #CE1126;
    --kolor-czarny: #000000;
    --kolor-bialy: #ffffff;
}

*{
    transition: 0.3s ease-in-out;
        /* !!! NIE DZIAŁA PRZY NAV*/
    box-sizing: border-box;

    /* outline-style: dashed;
    outline-width: 1px;
    outline-color: rgb(0, 204, 255); */
}

html{
    font-family: "Poppins";
    scroll-behavior: smooth;
}

body{}

h1, h2, h3, h4, h5, h6{
    font-family: "Playfair Display";
    font-weight: 900;
}

p{
    font-family: "Poppins";
    font-size: 11pt;
}

a{
    text-decoration: none;
}

img{
    max-width: 100%;
}

nav{
    background-color: var(--kolor-czarny);
    width: 100%;
    z-index: 1;
    height: 70px;

    display: flex;
    justify-content: center;
    position: fixed;
}

nav ol{
    width: 100%;

    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

nav ol li{
    
    font-weight: bold;

   
   

}

nav ol li:hover{
    
    /* background-color: var(--kolor-czerwony); */
}

nav ol li a{
    display: block;
    width: 170px;
    height: 70px;
    padding: 10px 20px;
    color: var(--kolor-bialy);
     display: flex;
    justify-content: center;
    align-items: flex-end;
    gap: 10px;
     background: linear-gradient(0deg, rgba(204, 51, 51, 0.00) 0%, var(--kolor-czawrny) 100%);
}
nav ol li a:hover{
    background: linear-gradient(0deg, rgba(204, 51, 51, 0.00) 0%, var(--kolor-czerwony) 100%);
}

section{
    min-height: 100vh;
    padding: 20px;
    scroll-margin-top: 70px;

    display: flex;
    align-items: center;
    justify-content: center;
    /* overflow: hidden; */
}

.zawartosc{
    max-width: 1200px;
    width: 100%;
}

#pierwsza{
    background: url(../img/S1_bg.png) no-repeat center fixed;
    background-size: cover;
    padding: 0px;

    /* width: 100vw; */
}

#pierwsza img{
    padding: 0px;
    height: 100vh;
    width: 100vw;
    display: block;
    object-fit: cover;
    object-position: center bottom;
}

#druga{
    background: linear-gradient(90deg, #000 0%, rgba(0, 0, 0, 0.80) 50%, rgba(0, 0, 0, 0.00) 100%), url(../img/S2_mapaL_alt.svg) center no-repeat;

    /* background-image: url(../img/S2_mapaL.svg); */
    /* background-image: url(../img/S2_mapaS.svg); */

    background-size: cover;
    color: var(--kolor-bialy);
}

#druga i, b{
    color: var(--kolor-czerwony);    
}

#druga .zawartosc{
    padding: 5vh 0vh;

    flex-direction: column;
}

#druga .zawartosc h1{
    font-size: 160pt;
    letter-spacing: 3vw;
    padding-bottom: 30px;
    padding-left: 10%;
}

#druga .zawartosc article{
    padding-left: 10%;
    line-height: normal;

    display: flex;
    /* flex-direction: row;
    align-items: flex-start;*/ 
    gap: 30px; 
}

#druga .zawartosc article ol{
    padding-left: 15%;
    list-style-type: disc;
    padding-bottom: 30px;
    font-size: 11pt;
}

#druga .zawartosc .akapit{
    padding: 0% 15%;

    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}

#druga .zawartosc article p{
    flex: 1 1 300px;
}

#trzecia{
    background: url(../img/S3_drzewo.svg) no-repeat center;
    background-size: cover;
    min-height: 100vh;

    display: flex;
    justify-content: center;
}

#trzecia .zawartosc{
    max-width: fit-content;
}

#trzecia .zawartosc h2{
    color: var(--kolor-czerwony);
    font-size: 170pt;
    letter-spacing: 3vw;
    text-align: right;
    padding: 10vh 30vw 0vh 0vw;
    /* padding-right: 30vw; */

}

#czwarta{
    background: 
        url(../img/S4_biel.svg) no-repeat center bottom,
        linear-gradient(270deg, #000 0%, rgba(0, 0, 0, 0.80) 50%, rgba(0, 0, 0, 0.00) 100%), 
        url(../img/S4_mapa.svg) no-repeat center;
    background-size: 
        100%, cover, cover;
    min-height: 100vh;

    display: flex;
    justify-content: center;
}

#czwarta .zawartosc{
    color: var(--kolor-bialy);
}

#czwarta .zawartosc article{
    padding: 0vh 0vw 0vh 40vw;

    display: flex; 
    justify-content: center;
}

#czwarta .zawartosc article p{
    font-size: 11pt;
    line-height: normal;

    flex: 1 1 300px;
}

#piata{
    background-image: url(../img/S5_czernALT.svg);
    background-size: cover;
}

#piata .zawartosc{
    display: flex;
    flex-direction: column;
}

#piata .zawartosc h3{
    font-size: 140pt;
    letter-spacing: 2vw;
    /* z-index: 0; */
}

#piata .zawartosc article{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /* z-index: 1; */
}

#piata .zawartosc article div{
    display: flex;
    flex: 1 1 300px;
    background-size: cover;
    align-items: flex-end;
    

    color: var(--kolor-bialy);
    padding: 10px;
    aspect-ratio: 1;
}

#piata .zawartosc article p{
    opacity: 0%;
    line-height: normal;
}

#piata .zawartosc article div:hover p{
    opacity: 100%;
}

#piata .zawartosc article .lft{
    background-image: url(../img/S5_zdj1.png);
}

#piata .zawartosc article .lft:hover{
    background: linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0.80) 30%, rgba(0, 0, 0, 0.00) 100%), url(../img/S5_zdj1.png);
    background-size: cover;
}

#piata .zawartosc article .mdd{
    background-image: url(../img/S5_zdj2.png);
}

#piata .zawartosc article .mdd:hover{
    background: linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0.80) 30%, rgba(0, 0, 0, 0.00) 100%), url(../img/S5_zdj2.png);
    background-size: cover;
}

#piata .zawartosc article .rgt{
    background-image: url(../img/S5_zdj3.png);
}

#piata .zawartosc article .rgt:hover{
    background: linear-gradient(0deg, #000 0%, rgba(0, 0, 0, 0.80) 30%, rgba(0, 0, 0, 0.00) 100%), url(../img/S5_zdj3.png);
    background-size: cover;
}

/* STOPKA */
#stopka{
    background-color: var(--kolor-ciemny);
    min-height: 15vh;
    display: flex;
}

#stopka .zawartosc{
    display: flex;
    flex-wrap: wrap;
    gap: 40px;
    color: var(--kolor-tlo);
}

#stopka .zawartosc article{
    /* background-color: greenyellow; */
    padding: 30px 10px 10px 10px;
    flex: 1 1 300px; 
}

#stopka .zawartosc article h4{
    font-size: 20pt;
    padding-bottom: 40px;
}

#stopka .zawartosc article p{
    padding-bottom: 20px;
}

#stopka .zawartosc article .linki{
    display: flex;
    gap: 20px;
    justify-content: flex-start;
}

#stopka .zawartosc article img:hover{
    filter: invert(13%) sepia(91%) saturate(4196%) hue-rotate(345deg) brightness(90%) contrast(99%);
}

#stopka .zawartosc article a{
    text-decoration: underline;
    color: var(--kolor-tlo); 
}

#stopka .zawartosc .formularz{}

#stopka .zawartosc .formularz label{
    display: block;
    margin-bottom: 20px;
     /* text-transform: uppercase; */
     font-size: 14px;
     line-height: normal;
}

#stopka .zawartosc .formularz input{
    display: block;
    margin-bottom: 10px;
    padding: 10px;
    background: none;
    border: 0px;
    border-bottom: 2px solid var(--kolor-czarny);
    width: 100%;
    font-size: 15px;
}

#stopka .zawartosc .formularz input:focus{
    outline: 0;
    border-bottom: 2px solid var(--kolor-czerwony);
}

::placeholder{
    font-style: italic;
}

#stopka .zawartosc article .formularz .zgoda{
    width: 100%;

    display: flex;
    justify-content: center;
    gap: 10px;
}

#stopka .zawartosc article .formularz .zgoda label{
    display: inline-block;
    width: 100%;
    font-size: 9pt;

    align-self: flex-end;
}

#stopka .zawartosc article .formularz .zgoda input{
    width: 10px;
}

#stopka .zawartosc article .formularz .zgoda input[type=checkbox]{
    appearance: none;
    outline: 0;
    font: inherit;
    color: var(--kolor-czarny);
    width: 5px;
    height: 5px;
    border: 1px solid currentColor;
    border-radius: 0.15em;
    margin-bottom: 1em;
}

#stopka .zawartosc article .formularz .zgoda input[type=checkbox]:checked{
    background-color: var(--kolor-czerwony);
    border: 1px solid white;
}

#stopka .zawartosc .formularz .przyciski{
    /* background-color: blueviolet; */
    display: flex;
    gap: 15px;
    padding: 10px;
}

#stopka .zawartosc .formularz .przyciski input{
    border: none;
    background-color: var(--kolor-czarny);
    color: var(--kolor-bialy);
}

#stopka .zawartosc .formularz .przyciski input:hover{
    background-color: var(--kolor-czerwony);
    color: var(--kolor-bialy);
}

#stopka .zawartosc .copyright{
flex: none;
width: 100%;
}

#stopka .zawartosc .copyright p{
    text-align: center;
    height: auto;
    font-size: 9pt;
}